Updates an existing bill import profile's column mapping
Use this endpoint to modify the column mapping configuration of an existing bill import profile.
The profile code can be changed if the new code is unique among bill import profiles.
Requires Bills and Batches Create permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| profileId | Unique numeric identifier of the bill import profile to update | integer (int32) | Required |
Request Body
BillImportProfileRequest
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| columnMapping | BillImportProfileColumnMapping | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillImportProfileColumnMapping properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| profileCode | Required Must be between 0 and 64 characters | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Request Body
{ "columnMapping": { "accountCodeColumnIndex": 1, "accountPeriodColumnIndex": 1, "aceFlagColumnIndex": 1, "billNoteColumnIndex": 1, "billingPeriodColumnIndex": 1, "commodityColumnIndex": 1, "controlCodeColumnIndex": 1, "dateFormat": "string", "dueDateColumnIndex": 1, "endDateColumnIndex": 1, "invoiceNumberColumnIndex": 1, "meterCodeColumnIndex": 1, "observations": [
{ "caption": "string", "columnIndex": 1, "observationTypeCode": "string", "unitCode": "string"
}
], "payAmountColumnIndex": 1, "rateColumnIndex": 1, "serialNumberColumnIndex": 1, "serviceChargeColumnIndex": 1, "startDateColumnIndex": 1, "statementDateColumnIndex": 1, "vendorCodeColumnIndex": 1, "vprFlagColumnIndex": 1
}, "profileCode": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
BillImportProfileResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| columnMapping | BillImportProfileColumnMapping | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillImportProfileColumnMapping properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| profileCode | Required Must be between 0 and 64 characters Required Must be between 0 and 64 characters | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| profileId | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "columnMapping": { "accountCodeColumnIndex": 1, "accountPeriodColumnIndex": 1, "aceFlagColumnIndex": 1, "billNoteColumnIndex": 1, "billingPeriodColumnIndex": 1, "commodityColumnIndex": 1, "controlCodeColumnIndex": 1, "dateFormat": "string", "dueDateColumnIndex": 1, "endDateColumnIndex": 1, "invoiceNumberColumnIndex": 1, "meterCodeColumnIndex": 1, "observations": [
{ "caption": "string", "columnIndex": 1, "observationTypeCode": "string", "unitCode": "string"
}
], "payAmountColumnIndex": 1, "rateColumnIndex": 1, "serialNumberColumnIndex": 1, "serviceChargeColumnIndex": 1, "startDateColumnIndex": 1, "statementDateColumnIndex": 1, "vendorCodeColumnIndex": 1, "vprFlagColumnIndex": 1
}, "profileCode": "string", "profileId": 1
}
404
Not Found
The requested resource was not found. Verify the ID or path is correct.